function init(hero) {
    hero.setName("Petro'Star");
    hero.setTier(8);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("ben:petrostar_physiology", "ben:petro_shield", "ben:petro_blade");
    hero.addAttribute("FALL_RESISTANCE", 80, 0);
    hero.addAttribute("JUMP_HEIGHT", 10, 0);
    hero.addAttribute("PUNCH_DAMAGE", 8.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("STEP_HEIGHT", 4, 0);
    
    hero.addKeyBind("SHIELD", "key.shield", 1);
    hero.addKeyBind("BLADE", "key.spike", 2);
    hero.addKeyBind("ENERGY_PROJECTION", "To'KuStar Energy", 4);
    
    hero.setDefaultScale(16);
    hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("BLADE", {
        "types": {
            "BLUNT": 0.7,
            "SHARP": 0.3
        }
    });

function shieldProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 6.5, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}
function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
}